<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'article',

    /*
     * Package.
     */
    'package'   => 'blog',

    /*
     * Modules.
     */
    'modules'   => ['article'],

    
    'article'       => [
        'model' => [
            'model'                 => \Article\Blog\Models\Article::class,
            'table'                 => 'articles',
            'presenter'             => \Article\Blog\Repositories\Presenter\ArticlePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'article'],
            'translatables'         => [],
            'upload_folder'         => 'blog/article',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Article',
            'package'   => 'Blog',
            'module'    => 'Article',
        ],

    ],
];
