<?php

namespace Article\Blog;

use DB;
use Illuminate\Database\Seeder;

class ArticleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('articles')->insert([
            [
                "id"                  => '1',
                "title"               => 'judul 1',
                "article"             => 'article',
            ],
            [
                "id"                  => '2',
                "title"               => 'judul 2',
                "article"             => 'article 2',
            ],
            [
                "id"                  => '3',
                "title"               => 'judul 3',
                "article"             => 'article 3',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'blog.article.view',
                'name'      => 'View Article',
            ],
            [
                'slug'      => 'blog.article.create',
                'name'      => 'Create Article',
            ],
            [
                'slug'      => 'blog.article.edit',
                'name'      => 'Update Article',
            ],
            [
                'slug'      => 'blog.article.delete',
                'name'      => 'Delete Article',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/blog/article',
                'name'        => 'Article',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/blog/article',
                'name'        => 'Article',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'article',
                'name'        => 'Article',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Blog',
                'module'    => 'Article',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'blog.article.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
